## org.hibernate.internal.jaxb.mapping.orm
Class JaxbColumn

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbColumn

    public class JaxbColumn

extends Object

Field Summary
`protected String` `columnDefinition`
`protected Boolean` `insertable`
`protected Integer` `length`
`protected String` `name`
`protected Boolean` `nullable`
`protected Integer` `precision`
`protected Integer` `scale`
`protected String` `table`
`protected Boolean` `unique`
`protected Boolean` `updatable`

Constructor Summary
`JaxbColumn()`

Method Summary
`String` `getColumnDefinition()` Gets the value of the columnDefinition property.
`Integer` `getLength()` Gets the value of the length property.
`String` `getName()` Gets the value of the name property.
`Integer` `getPrecision()` Gets the value of the precision property.
`Integer` `getScale()` Gets the value of the scale property.
`String` `getTable()` Gets the value of the table property.
`Boolean` `isInsertable()` Gets the value of the insertable property.
`Boolean` `isNullable()` Gets the value of the nullable property.
`Boolean` `isUnique()` Gets the value of the unique property.
`Boolean` `isUpdatable()` Gets the value of the updatable property.
`void` `setColumnDefinition(String value)` Sets the value of the columnDefinition property.
`void` `setInsertable(Boolean value)` Sets the value of the insertable property.
`void` `setLength(Integer value)` Sets the value of the length property.
`void` `setName(String value)` Sets the value of the name property.
`void` `setNullable(Boolean value)` Sets the value of the nullable property.
`void` `setPrecision(Integer value)` Sets the value of the precision property.
`void` `setScale(Integer value)` Sets the value of the scale property.
`void` `setTable(String value)` Sets the value of the table property.
`void` `setUnique(Boolean value)` Sets the value of the unique property.
`void` `setUpdatable(Boolean value)` Sets the value of the updatable property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### unique

    protected Boolean unique

### nullable

    protected Boolean nullable

### insertable

    protected Boolean insertable

### updatable

    protected Boolean updatable

### columnDefinition

    protected String columnDefinition

### table

    protected String table

### length

    protected Integer length

### precision

    protected Integer precision

### scale

    protected Integer scale

Constructor Detail

### JaxbColumn

    public JaxbColumn()

Method Detail

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public Boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### isNullable

    public Boolean isNullable()

  Gets the value of the nullable property.

  Returns:
    possible object is `Boolean`

### setNullable

    public void setNullable(Boolean value)

  Sets the value of the nullable property.

  Parameters:
    `value` - allowed object is `Boolean`

### isInsertable

    public Boolean isInsertable()

  Gets the value of the insertable property.

  Returns:
    possible object is `Boolean`

### setInsertable

    public void setInsertable(Boolean value)

  Sets the value of the insertable property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUpdatable

    public Boolean isUpdatable()

  Gets the value of the updatable property.

  Returns:
    possible object is `Boolean`

### setUpdatable

    public void setUpdatable(Boolean value)

  Sets the value of the updatable property.

  Parameters:
    `value` - allowed object is `Boolean`

### getColumnDefinition

    public String getColumnDefinition()

  Gets the value of the columnDefinition property.

  Returns:
    possible object is `String`

### setColumnDefinition

    public void setColumnDefinition(String value)

  Sets the value of the columnDefinition property.

  Parameters:
    `value` - allowed object is `String`

### getTable

    public String getTable()

  Gets the value of the table property.

  Returns:
    possible object is `String`

### setTable

    public void setTable(String value)

  Sets the value of the table property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public Integer getLength()

  Gets the value of the length property.

  Returns:
    possible object is `Integer`

### setLength

    public void setLength(Integer value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `Integer`

### getPrecision

    public Integer getPrecision()

  Gets the value of the precision property.

  Returns:
    possible object is `Integer`

### setPrecision

    public void setPrecision(Integer value)

  Sets the value of the precision property.

  Parameters:
    `value` - allowed object is `Integer`

### getScale

    public Integer getScale()

  Gets the value of the scale property.

  Returns:
    possible object is `Integer`

### setScale

    public void setScale(Integer value)

  Sets the value of the scale property.

  Parameters:
    `value` - allowed object is `Integer`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.